#ifndef CCTRLBUTTONID_H
#define CCTRLBUTTONID_H
#include <QPushButton>
#include "export_ctrls_common.h"
class CTRLS_COMMON_EXPORT CCtrlButtonID : public QPushButton
{
	Q_OBJECT
public:
    CCtrlButtonID(QWidget *parent, int32_t iID);
    int m_iID;
protected slots:
    virtual void MClick_Slot();
signals:
    void MClick_Signal(int32_t iID);
};

#endif // CCTRLBUTTONID_H
